install_mlflow: Install MLflow

Description Usage Arguments Details Examples

View source: R/install.R

Description

Installs auxiliary dependencies of MLflow (e.g. the MLflow CLI). As a one-time setup step, you must run install_mlflow() to install these dependencies before calling other MLflow APIs.

Usage

1
install_mlflow(python_version = "3.6")

Arguments

python_version

Optional Python version to use within conda environment created for installing the MLflow CLI. If unspecified, defaults to using Python 3.6

Details

install_mlflow() requires Python and Conda to be installed. See https://www.python.org/getit/ and https://docs.conda.io/projects/conda/en/latest/user-guide/install/.

Alternatively, you can set MLFLOW_PYTHON_BIN and MLFLOW_BIN environment variables instead. MLFLOW_PYTHON_BIN should point to python executable and MLFLOW_BIN to mlflow cli executable. These variables allow you to use custom mlflow installation. Note that there may be some compatibility issues if the custom mlflow version does not match the version of the R package.

Examples

1
2
3
4
5
## Not run: 
library(mlflow)
install_mlflow()

## End(Not run)

mlflow documentation built on Sept. 6, 2021, 9:06 a.m.